import {
  getPlatformSpecDetails
} from '~/services/login/getPlatformSpecDetails';

Page({
  /**
   * 页面的初始数据
   */
  data: {
    detailsData: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    getPlatformSpecDetails({
      PlatformSpecGuid: options.guid
    }).then(res => {
      this.setData({
        detailsData: res.data
      })
      wx.setNavigationBarTitle({
        title: this.data.detailsData.platformSpecTitle
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },
})